// $Id: XmlDef.h,v 1.9 2009/09/09 02:29:48 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#ifndef XmlDef_h
#define XmlDef_h
/*!
   \file    XmlDef.h
   \brief   Some Xml definitions
   \author  Hugo Pereira
   \version $Revision: 1.9 $
   \date    $Date: 2009/09/09 02:29:48 $
*/

#include <QString>

//! Some Xml definitions
namespace XML {

  //! taskbar list
  static const QString TASK_LIST( "task_list" );

  //! taskbar
  static const QString TASKBAR( "taskbar" );

  //! task
  static const QString TASK( "task" );

  //! task name
  static const QString NAME( "name" );

  //! taskbar layout
  static const QString LAYOUT( "layout" );

  //! taskbar mode
  static const QString MODE( "mode" );

  //! taskbar flags
  static const QString FLAGS( "flags" );

  //! taskbar number of columns
  static const QString COLUMNS( "columns" );

  //! taskbar number of columns
  static const QString SCALE( "scale" );

  //! predefined position
  static const QString POSITION( "position_name" );

  //! taskbar x
  static const QString X( "x" );

  //! taskbar y
  static const QString Y( "y" );

  //! taskbar y
  static const QString ZOOM_DELAY( "zoom_delay" );

  //! task comment
  static const QString COMMENTS( "comments" );

  //! task command
  static const QString COMMAND( "command" );

  //! task arguments
  static const QString ARGUMENTS( "arguments" );
  //! task icon
  static const QString ICON( "icon" );

  //! task creation timestamp
  static const QString CREATION( "creation" );

  //! task last modification timestamp
  static const QString MODIFICATION( "modification" );

  //! task last call timestamp
  static const QString LAST_CALL( "last_call" );

};

#endif
